#include <windows.h>
//
#include <iostream>
#include <string.h>

HMODULE g_hWLFTdll;

int skInitEngine(std::string skinfile, std::string suserkey)
{
    int nRet = 0;

    if (!g_hWLFTdll)
        g_hWLFTdll = LoadLibrary(L"WinLIFT");

    if (g_hWLFTdll)
    {
        typedef int (__stdcall *skProc) (char*, char*);
        skProc hPROC;
        hPROC = (skProc) GetProcAddress(g_hWLFTdll, "skInitEngine");
        if (hPROC)
        {
            nRet = hPROC((char*) skinfile.c_str(), (char*) suserkey.c_str());
        }
        else
        {
            FreeLibrary(g_hWLFTdll);
        }
    }
    return nRet;
}

int skSkinWindow(HWND hWnd, std::string sbuttontip)
{
	int nRet = 0;

    if (g_hWLFTdll)
    {
        typedef int (__stdcall *skProc) (HWND, char*);
        skProc hPROC;
        hPROC = (skProc) GetProcAddress(g_hWLFTdll, "skSkinWindow");
        if (hPROC)
        {
            nRet = hPROC(hWnd, (char*) sbuttontip.c_str());
        }
    }
    return nRet;
}
